summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArthur Zamarin <arthurzam@gentoo.org>2021-10-09 22:13:26 +0300
committerSam James <sam@gentoo.org>2021-10-13 01:25:26 +0100
commit8a4f273e5c7e1c990b59954691b7f12d1c0d7f5c (patch)
treec6297319808cdcfefef91e78f3d0f78c703855e0
parentnet-irc/quassel: add 0.14_rc2 (diff)
downloadgentoo-8a4f273e5c7e1c990b59954691b7f12d1c0d7f5c.tar.gz
gentoo-8a4f273e5c7e1c990b59954691b7f12d1c0d7f5c.tar.bz2
gentoo-8a4f273e5c7e1c990b59954691b7f12d1c0d7f5c.zip
net-irc/quassel: add spell support without full kde
Add new use flag "spell" for enabling spell checking without full KDE integration. KF5Sonnet is categorized as "Optional KF5 tier1 component" and can be used without full KDE, if find_package finds it. Using this new USE flag we disable automagic dependency on KF5Sonnet if it is installed during build. Changed REQUIRED_USE so that kde depends on spell, and spell depends on some kind of gui. Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org> Closes: https://github.com/gentoo/gentoo/pull/22531 Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--net-irc/quassel/quassel-0.13.1-r2.ebuild8
-rw-r--r--net-irc/quassel/quassel-0.14_rc2.ebuild8
-rw-r--r--net-irc/quassel/quassel-9999.ebuild8
3 files changed, 15 insertions, 9 deletions
diff --git a/net-irc/quassel/quassel-0.13.1-r2.ebuild b/net-irc/quassel/quassel-0.13.1-r2.ebuild
index 5a78333a8ff8..c51a64ccdeff 100644
--- a/net-irc/quassel/quassel-0.13.1-r2.ebuild
+++ b/net-irc/quassel/quassel-0.13.1-r2.ebuild
@@ -20,7 +20,7 @@ HOMEPAGE="https://quassel-irc.org/"
LICENSE="GPL-3"
SLOT="0"
IUSE="bundled-icons crypt +dbus debug kde ldap monolithic oxygen postgres +server
-snorenotify +ssl syslog urlpreview X"
+snorenotify spell +ssl syslog urlpreview X"
SERVER_DEPEND="
acct-group/quassel
@@ -53,9 +53,9 @@ GUI_DEPEND="
kde-frameworks/ktextwidgets:5
kde-frameworks/kwidgetsaddons:5
kde-frameworks/kxmlgui:5
- kde-frameworks/sonnet:5
)
snorenotify? ( >=x11-libs/snorenotify-0.7.0 )
+ spell? ( kde-frameworks/sonnet:5 )
urlpreview? ( dev-qt/qtwebengine:5[widgets] )
"
@@ -83,10 +83,11 @@ DOCS=( AUTHORS ChangeLog README.md )
REQUIRED_USE="
|| ( X server monolithic )
crypt? ( || ( server monolithic ) )
- kde? ( || ( X monolithic ) dbus )
+ kde? ( dbus spell )
ldap? ( || ( server monolithic ) )
postgres? ( || ( server monolithic ) )
snorenotify? ( || ( X monolithic ) )
+ spell? ( || ( X monolithic ) )
syslog? ( || ( server monolithic ) )
"
@@ -109,6 +110,7 @@ src_configure() {
-DWITH_OXYGEN_ICONS=$(usex oxygen)
-DWANT_CORE=$(usex server)
$(cmake_use_find_package snorenotify LibsnoreQt5)
+ $(cmake_use_find_package spell KF5Sonnet)
-DWITH_WEBENGINE=$(usex urlpreview)
-DWANT_QTCLIENT=$(usex X)
)
diff --git a/net-irc/quassel/quassel-0.14_rc2.ebuild b/net-irc/quassel/quassel-0.14_rc2.ebuild
index c8177a7e394e..fce90ab6e53b 100644
--- a/net-irc/quassel/quassel-0.14_rc2.ebuild
+++ b/net-irc/quassel/quassel-0.14_rc2.ebuild
@@ -24,7 +24,7 @@ HOMEPAGE="https://quassel-irc.org/"
LICENSE="GPL-3"
SLOT="0"
-IUSE="bundled-icons crypt +dbus debug kde ldap monolithic oxygen postgres +server snorenotify syslog test urlpreview X"
+IUSE="bundled-icons crypt +dbus debug kde ldap monolithic oxygen postgres +server snorenotify spell syslog test urlpreview X"
# Can't seem to find itself (libraries)
RESTRICT="!test? ( test ) test"
@@ -55,9 +55,9 @@ GUI_DEPEND="dev-qt/qtgui:5
kde-frameworks/ktextwidgets:5
kde-frameworks/kwidgetsaddons:5
kde-frameworks/kxmlgui:5
- kde-frameworks/sonnet:5
)
snorenotify? ( >=x11-libs/snorenotify-0.7.0 )
+ spell? ( kde-frameworks/sonnet:5 )
urlpreview? ( dev-qt/qtwebengine:5[widgets] )"
DEPEND=">=dev-libs/boost-1.54:=
dev-qt/qtcore:5
@@ -79,10 +79,11 @@ DOCS=( AUTHORS ChangeLog README.md )
REQUIRED_USE="|| ( X server monolithic )
crypt? ( || ( server monolithic ) )
- kde? ( || ( X monolithic ) dbus )
+ kde? ( dbus spell )
ldap? ( || ( server monolithic ) )
postgres? ( || ( server monolithic ) )
snorenotify? ( || ( X monolithic ) )
+ spell? ( || ( X monolithic ) )
syslog? ( || ( server monolithic ) )"
src_configure() {
@@ -101,6 +102,7 @@ src_configure() {
-DWITH_OXYGEN_ICONS=$(usex oxygen)
-DWANT_CORE=$(usex server)
$(cmake_use_find_package snorenotify LibsnoreQt5)
+ $(cmake_use_find_package spell KF5Sonnet)
-DWITH_WEBENGINE=$(usex urlpreview)
-DWANT_QTCLIENT=$(usex X)
)
diff --git a/net-irc/quassel/quassel-9999.ebuild b/net-irc/quassel/quassel-9999.ebuild
index c8177a7e394e..fce90ab6e53b 100644
--- a/net-irc/quassel/quassel-9999.ebuild
+++ b/net-irc/quassel/quassel-9999.ebuild
@@ -24,7 +24,7 @@ HOMEPAGE="https://quassel-irc.org/"
LICENSE="GPL-3"
SLOT="0"
-IUSE="bundled-icons crypt +dbus debug kde ldap monolithic oxygen postgres +server snorenotify syslog test urlpreview X"
+IUSE="bundled-icons crypt +dbus debug kde ldap monolithic oxygen postgres +server snorenotify spell syslog test urlpreview X"
# Can't seem to find itself (libraries)
RESTRICT="!test? ( test ) test"
@@ -55,9 +55,9 @@ GUI_DEPEND="dev-qt/qtgui:5
kde-frameworks/ktextwidgets:5
kde-frameworks/kwidgetsaddons:5
kde-frameworks/kxmlgui:5
- kde-frameworks/sonnet:5
)
snorenotify? ( >=x11-libs/snorenotify-0.7.0 )
+ spell? ( kde-frameworks/sonnet:5 )
urlpreview? ( dev-qt/qtwebengine:5[widgets] )"
DEPEND=">=dev-libs/boost-1.54:=
dev-qt/qtcore:5
@@ -79,10 +79,11 @@ DOCS=( AUTHORS ChangeLog README.md )
REQUIRED_USE="|| ( X server monolithic )
crypt? ( || ( server monolithic ) )
- kde? ( || ( X monolithic ) dbus )
+ kde? ( dbus spell )
ldap? ( || ( server monolithic ) )
postgres? ( || ( server monolithic ) )
snorenotify? ( || ( X monolithic ) )
+ spell? ( || ( X monolithic ) )
syslog? ( || ( server monolithic ) )"
src_configure() {
@@ -101,6 +102,7 @@ src_configure() {
-DWITH_OXYGEN_ICONS=$(usex oxygen)
-DWANT_CORE=$(usex server)
$(cmake_use_find_package snorenotify LibsnoreQt5)
+ $(cmake_use_find_package spell KF5Sonnet)
-DWITH_WEBENGINE=$(usex urlpreview)
-DWANT_QTCLIENT=$(usex X)
)